package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 生成plcid对象 plc
 *
 * @author tony
 * @date 2024-06-14
 */
@TableName(resultMap = "com.zbf.system.mapper.PlcMapper.PlcResult")
public class Plc extends BaseEntity {
private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /** 记录plc增长，到9999999从1在开始 */
    @Excel(name = "记录plc增长，到9999999从1在开始")
    private Long plcid;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setPlcid(Long plcid)
            {
            this.plcid = plcid;
            }

    public Long getPlcid()
            {
            return plcid;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("plcid", getPlcid())
        .toString();
        }
}


















